#
# MaxJobsInParallel controls the number of OCR jobs that can run at the same time.
#
# This value can be tuned for performance and throughput. E.g. if this value is 1, jobs are processed one at a time, so
# a large job would hold up processing of newer, smaller jobs. A value that is too large, however, will result in
# reduced throughput as jobs compete for CPU time.
#
# Recommended: on a standalone system (e.g. not co-hosted with the PaperCut Application Server), a reasonable value
# could be the number of CPU cores minus one. On a system that hosts other services, the default value of 2 should be
# reasonable.
#
# Default (when not specified): 2
#
#MaxJobsInParallel = 2

#
# MaxWorkersPerJob controls the maximum number of workers that can be assigned to each OCR job
# Use this value along with the MaxJobsInParallel setting to tune your system based on available resources and expected
# workload
# Recommendations: If you expect a low number of large jobs, then set your MaxJobsInParallel low and your
# MaxWorkersPerJob high. If you expect a large number of smaller jobs, set MaxJobsInParallel high and leave
# MaxWorkersPerJob = 1. If you have a mixed workload, take a balanced approach.
#
# Examples:
# Number of Cores = 8
# Low number of large jobs - MaxJobsInParallel = 2, MaxWorkersPerJob = 4 (or 3 for overhead)
# Large number of small jobs - MaxJobsInParallel = 7, MaxWorkersPerJob = 1
# Mixed workload - MaxJobsInParallel = 3 (or 4 to use all cores at full load), MaxWorkersPerJob = 2
#
# NOTE: MaxJobsInParallel * MaxWorkersPerJob should not exceed the number of threads the server CPU can provide. If so,
# performance under peak load can be compromised
#
# Default (when not specified): 1
# A value of 0 will allow it to create as many workers as the total number of cores/threads the CPU has
#
#MaxWorkersPerJob = 1


#
# JobPriority controls the CPU priority of OCR jobs.
#
# This value can be tuned so that the service works nicely with other services running on the same system.
#
# Valid: 'low', 'normal' or 'high'
#
# Recommended: on a co-hosted system (e.g. running along with the PaperCut Application Server), use 'low', so as not to
# compete with (potentially more urgent) work. On a standalone system, the default 'normal' should be best.
#
# Default: 'low'
#
JobPriority = 'low'

# DefaultCompression provides a default level of compression for OCR Jobs.
# This is applied to any jobs that come through with no compression setting from the Scan Action
# Valid values are 1-10, where 1 is lowest compression and 10 is the highest
#
# Default: Not set/0, will only compress if the Scan Action has it set
#
#DefaultCompression = 0

#
# CipherSuites is a list of supported cipher suites for TLS versions up to
# TLS 1.2. If CipherSuites is nil, a default list of secure cipher suites
# is used, with a preference order based on hardware performance.
# Note that TLS 1.3 cipher suites are not configurable.
#
# Valid cipher suite IDs:
#    TLS_RSA_WITH_RC4_128_SHA
#    TLS_RSA_WITH_3DES_EDE_CBC_SHA
#    TLS_RSA_WITH_AES_128_CBC_SHA
#    TLS_RSA_WITH_AES_256_CBC_SHA
#    TLS_RSA_WITH_AES_128_CBC_SHA256
#    TLS_RSA_WITH_AES_128_GCM_SHA256
#    TLS_RSA_WITH_AES_256_GCM_SHA384
#    TLS_ECDHE_ECDSA_WITH_RC4_128_SHA
#    TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA
#    TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
#    TLS_ECDHE_RSA_WITH_RC4_128_SHA
#    TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA
#    TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA
#    TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
#    TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256
#    TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
#    TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
#    TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
#    TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
#    TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384
#    TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305
#    TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305
#
# TLS 1.3 cipher suites.
#    TLS_AES_128_GCM_SHA256
#    TLS_AES_256_GCM_SHA384
#    TLS_CHACHA20_POLY1305_SHA256
#
# TLS_FALLBACK_SCSV isn't a standard cipher suite but an indicator
# that the client is doing version fallback. See RFC 7507.
#    TLS_FALLBACK_SCSV
#
# Default cipher suites if not set:
#
# CipherSuites = [
#    'TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384',
#    'TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384',
#    'TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256',
#    'TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256',
#    'TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305',
#    'TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305'
# ]

#
# TlsMinVersion contains the minimum SSL/TLS version that is acceptable.
#
# Valid TLS versions:
#    VersionTLS10
#    VersionTLS11
#    VersionTLS12
#    VersionTLS13
#
# Default: TLS12
#
# TlsMinVersion = 'VersionTLS12'
